How to specify to make use of the latest version of hibernate jars using maven?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

How to specify to make use of the latest version of hibernate jars using maven?

Senthilkumar Jayakumar

Hi There,

In my project Spring (4.3.3) and Hibernate (5.0.11.Final) and JPA (2.1) is currently used and I would like to upgrade the Hibernate version from 5.0.11.Final to 5.3.6.Final. There is no specific version of hibernate mentioned in pom.xml but still 5.0.11 version is being downloaded and used.  Also, I tried explicitly specifying the version in the pom.xml but still executing “make clean install “ I could still see both 5.0.11.Final & 5.3.6.Final  version jars are being downloaded, but still  5.0.11.Final version is being used/packaged along with the application jar.

 

It is still unclear to me as to how the hibernate version is chosen as 5.0.11 and how I can specify to start using 5.3.6. I have shared the details of jar’s and repositories being used below.

 

Appreciate your help in this regard.

 

 

Hibernate related jar used:

 

Spring related jar used:

 

Following repositories are being used:

 

 

Thanks,

Senthil Jayakumar

 

 

 

Reply | Threaded
Open this post in threaded view
|

Re: How to specify to make use of the latest version of hibernate jars using maven?

Karl Heinz Marbaise-3
Hi,

first do no crosspost into dev list, cause this is a question for the
users list...

furthermore do not add image links into a mail cause more or less all
mail clients filter them out..

Best would be two things.

text copied/pasted and description and more helpful a link to a real
project or an example project which shows the behaviour?...

Kind regards
Karl Heinz Marbaise

On 02/10/18 10:14, Senthilkumar Jayakumar wrote:

> Hi There,
>
> In my project Spring (4.3.3) and Hibernate (5.0.11.Final) and JPA (2.1)
> is currently used and I would like to upgrade the Hibernate version from
> 5.0.11.Final to 5.3.6.Final. There is no specific version of hibernate
> mentioned in pom.xml but still 5.0.11 version is being downloaded and
> used.  Also, I tried explicitly specifying the version in the pom.xml
> but still executing “make clean install “ I could still see both
> 5.0.11.Final & 5.3.6.Final  version jars are being downloaded, but still
>   5.0.11.Final version is being used/packaged along with the application
> jar.
>
> It is still unclear to me as to how the hibernate version is chosen as
> 5.0.11 and how I can specify to start using 5.3.6. I have shared the
> details of jar’s and repositories being used below.
>
> Appreciate your help in this regard.
>
> Hibernate related jar used:
>
> Spring related jar used:
>
> Following repositories are being used:
>
> Thanks,
>
> Senthil Jayakumar

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: How to specify to make use of the latest version of hibernate jars using maven?

John Patrick
I would...
1) Look at the dependency tree and see how it's being included.
2) Add an exclude for hibernate for how it's being included.
3) Add a dependency for hibernate to the version you want to use.

I might not do step 2.


On Wed, 3 Oct 2018 at 09:17, Karl Heinz Marbaise <[hidden email]> wrote:

>
> Hi,
>
> first do no crosspost into dev list, cause this is a question for the
> users list...
>
> furthermore do not add image links into a mail cause more or less all
> mail clients filter them out..
>
> Best would be two things.
>
> text copied/pasted and description and more helpful a link to a real
> project or an example project which shows the behaviour?...
>
> Kind regards
> Karl Heinz Marbaise
>
> On 02/10/18 10:14, Senthilkumar Jayakumar wrote:
> > Hi There,
> >
> > In my project Spring (4.3.3) and Hibernate (5.0.11.Final) and JPA (2.1)
> > is currently used and I would like to upgrade the Hibernate version from
> > 5.0.11.Final to 5.3.6.Final. There is no specific version of hibernate
> > mentioned in pom.xml but still 5.0.11 version is being downloaded and
> > used.  Also, I tried explicitly specifying the version in the pom.xml
> > but still executing “make clean install “ I could still see both
> > 5.0.11.Final & 5.3.6.Final  version jars are being downloaded, but still
> >   5.0.11.Final version is being used/packaged along with the application
> > jar.
> >
> > It is still unclear to me as to how the hibernate version is chosen as
> > 5.0.11 and how I can specify to start using 5.3.6. I have shared the
> > details of jar’s and repositories being used below.
> >
> > Appreciate your help in this regard.
> >
> > Hibernate related jar used:
> >
> > Spring related jar used:
> >
> > Following repositories are being used:
> >
> > Thanks,
> >
> > Senthil Jayakumar
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]